# class Tk::Itk::Archetype

### Constants

TkCommandNames

### Public Class Methods

to_eval() click to toggle source

WidgetClassName = 'Archetype'.freeze WidgetClassNames = self

    # File lib/tkextlib/itk/incr_tk.rb, line 52
    def self.to_eval
      '::itk::' << self::WidgetClassName
    end

### Public Instance Methods

__destroy_hook__() click to toggle source

    # File lib/tkextlib/itk/incr_tk.rb, line 56
    def __destroy_hook__
      Tk::Itk::Component::ComponentID_TBL.delete(self.path)
    end

component() click to toggle source

incr Tk

  public methods

    # File lib/tkextlib/itk/incr_tk.rb, line 61
    def component
      simplelist(tk_send('component'))
    end

component_invoke(name, cmd, *args) click to toggle source

    # File lib/tkextlib/itk/incr_tk.rb, line 70
    def component_invoke(name, cmd, *args)
      window(tk_send('component', name, cmd, *args))
    end

component_obj(*names) click to toggle source

    # File lib/tkextlib/itk/incr_tk.rb, line 74
    def component_obj(*names)
      names = component if names.empty?
      names.collect{|name| Tk::Itk::Component.new(self.path, name) }
    end

component_path(name) click to toggle source

    # File lib/tkextlib/itk/incr_tk.rb, line 65
    def component_path(name)
      window(tk_send('component', name))
    end

Also aliased as: component_widget
component_widget(name)
Alias for: component_path